
Application: gvSIG desktop - gvSIG bugs #4226
Error al borrar geometrias.
06/12/2016 12:02 PM - Joaquín  del Cerro Murciano

Status: Closed % Done: 100%
Priority: High Spent time: 0.00 hour
Assignee: Daniel Martinez
Category: Vector editing
Target version: 2.3.0-2432 (rev. org.gvsig.desktop-2.0.138)
Severity: Major Add-on version:
gvSIG version: 2.3.0 Add-on build:
gvSIG build: 2427 Add-on resolve version:
Operative System: Linux Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

    1. Cargamos la capa esp_provincias (esta en downloads/geodata)
    2. Entramos en edicion de la capa
    3. Seleccionamos las provincias de Castellon, Valencia y Alicante.
    4. Menu Seleccion->invertir_seleccion
    5. Pulsamos suprimir para borrar todas las geometrias seleccionadas
    6. Casque "Concurrent modification in store".

ERROR [AWT-EventQueue-0] (NotificationManager.java:90) - Concurrent modification in store 'comvalenciana_provs'.
Concurrent modification in store 'comvalenciana_provs'.
        at org.gvsig.fmap.dal.feature.impl.featureset.DefaultFeatureSet.checkSourceStoreModified(DefaultFeatureSet.java:342)
        at org.gvsig.fmap.dal.feature.impl.featureset.DefaultIterator.hasNext(DefaultIterator.java:82)
        at org.gvsig.fmap.dal.feature.impl.featureset.FastDefaultIterator.hasNext(FastDefaultIterator.java:31)
        at
org.gvsig.fmap.dal.feature.impl.DefaultFeatureSelection$ReversedFeatureIteratorFacade.positionInNextElement(DefaultFeatureSelection.java:491)
        at org.gvsig.fmap.dal.feature.impl.DefaultFeatureSelection$ReversedFeatureIteratorFacade.next(DefaultFeatureSelection.java:481)
        at org.gvsig.fmap.dal.feature.impl.DefaultFeatureSelection.doAccept(DefaultFeatureSelection.java:557)
        at org.gvsig.fmap.dal.feature.impl.DefaultFeatureSelection.accept(DefaultFeatureSelection.java:540)
        at org.gvsig.fmap.dal.feature.impl.DefaultFeatureSelection.accept(DefaultFeatureSelection.java:534)
        at org.gvsig.vectorediting.
reSelection.java:491)
        at
org.gvsig.fmap.dal.feature.impl.DefaultFeatureSelection$ReversedFeatureIteratorFacade.next(DefaultFeatureSelection.java:481)
        at org.gvsig.fmap.dal.feature.impl.DefaultFeatureSelection.doAccept(DefaultFeatureSelection.java:557)
        at org.gvsig.fmap.dal.feature.impl.DefaultFeatureSelection.accept(DefaultFeatureSelection.java:540)
        at org.gvsig.fmap.dal.feature.impl.DefaultFeatureSelection.accept(DefaultFeatureSelection.java:534)
        at org.gvsig.vectorediting.lib.prov.remove.RemoveEditingProvider.finishAndStore(RemoveEditingProvider.java:150)
        at org.gvsig.vectorediting.lib.impl.DefaultEditingService.finishAndStore(DefaultEditingService.java:76)
        at org.gvsig.vectorediting.swing.impl.DefaultEditingContext.finishService(DefaultEditingContext.java:64
1)
        at org.gvsig.fmap.dal.feature.impl.DefaultFeatureSelection.doAccept(DefaultFeatureSelection.java:557)
        at org.gvsig.fmap.dal.feature.impl.DefaultFeatureSelection.accept(DefaultFeatureSelection.java:540)
        at org.gvsig.fmap.dal.feature.impl.DefaultFeatureSelection.accept(DefaultFeatureSelection.java:534)
        at org.gvsig.vectorediting.lib.prov.remove.RemoveEditingProvider.finishAndStore(RemoveEditingProvider.java:150)
        at org.gvsig.vectorediting.lib.impl.DefaultEditingService.finishAndStore(DefaultEditingService.java:76)
        at org.gvsig.vectorediting.swing.impl.DefaultEditingContext.finishService(DefaultEditingContext.java:641)
        at org.gvsig.vectorediting.swing.impl.DefaultEditingContext.getNextParameter(DefaultEditingContext.java:741)
        at org.gvsig.vectorediting.swing.impl.DefaultEditingContext.activateService(DefaultEditingContext.java:254)
        at org.gvsig.vectorediting.app.mainplugin.ServiceExtension.execute(ServiceExtension.java:50)
        at org.gvsig.andami.actioninfo.impl.DefaultActionInfo.execute(DefaultActionInfo.java:307)
        at org.gvsig.andami.actioninfo.impl.DefaultActionInfo.actionPerformed(DefaultActionInfo.java:352)
        at javax.swing.AbstractButton.fireActionPerformed(AbstractButton.java:2022)
        at javax.swing.AbstractButton$Handler.actionPerformed(AbstractButton.java:2348)
        at javax.swing.DefaultButtonModel.fireActionPerformed(DefaultButtonModel.java:402)
        at javax.swing.DefaultButtonModel.setPressed(DefaultButtonModel.java:259)
        at javax.swing.AbstractButton.doClick(AbstractButton.java:376)
        at javax.swing.AbstractButton.doClick(AbstractButton.java:356)
        at javax.swing.plaf.basic.BasicMenuItemUI$Actions.actionPerformed(BasicMenuItemUI.java:802)
        at javax.swing.SwingUtilities.notifyAction(SwingUtilities.java:1663)
        at javax.swing.JComponent.processKeyBinding(JComponent.java:2882)
        at javax.swing.JMenuBar.processBindingForKeyStrokeRecursive(JMenuBar.java:699)
        at javax.swing.JMenuBar.processBindingForKeyStrokeRecursive(JMenuBar.java:706)
        at javax.swing.JMenuBar.processBindingForKeyStrokeRecursive(JMenuBar.java:706)
        at javax.swing.JMenuBar.processBindingForKeyStrokeRecursive(JMenuBar.java:706)
        at javax.swing.JMenuBar.processBindingForKeyStrokeRecursive(JMenuBar.java:706)
        at javax.swing.JMenuBar.processKeyBinding(JMenuBar.java:677)
        at javax.swing.KeyboardManager.fireBinding(KeyboardManager.java:307)
        at javax.swing.KeyboardManager.fireKeyboardAction(KeyboardManager.java:293)
        at javax.swing.JComponent.processKeyBindingsForAllComponents(JComponent.java:2974)
        at javax.swing.JComponent.processKeyBindings(JComponent.java:2966)
        at javax.swing.JComponent.processKeyEvent(JComponent.java:2845)
        at java.awt.Component.processEvent(Component.java:6312)
        at java.awt.Container.processEvent(Container.java:2236)
        at java.awt.Component.dispatchEventImpl(Component.java:4891)
        at java.awt.Container.dispatchEventImpl(Container.java:2294)
        at java.awt.Component.dispatchEvent(Component.java:4713)
        at java.awt.KeyboardFocusManager.redispatchEvent(KeyboardFocusManager.java:1954)
        at java.awt.DefaultKeyboardFocusManager.dispatchKeyEvent(DefaultKeyboardFocusManager.java:806)
        at java.awt.DefaultKeyboardFocusManager.preDispatchKeyEvent(DefaultKeyboardFocusManager.java:1074)
        at java.awt.DefaultKeyboardFocusManager.typeAheadAssertions(DefaultKeyboardFocusManager.java:945)
        at java.awt.DefaultKeyboardFocusManager.dispatchEvent(DefaultKeyboardFocusManager.java:771)
        at java.awt.Component.dispatchEventImpl(Component.java:4762)
        at java.awt.Container.dispatchEventImpl(Container.java:2294)
        at java.awt.Window.dispatchEventImpl(Window.java:2750)
        at java.awt.Component.dispatchEvent(Component.java:4713)
        at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:758)
        at java.awt.EventQueue.access$500(EventQueue.java:97)
        at java.awt.EventQueue$3.run(EventQueue.java:709)
        at java.awt.EventQueue$3.run(EventQueue.java:703)
        at java.security.AccessController.doPrivileged(Native Method)
        at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:76)
        at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:86)
        at java.awt.EventQueue$4.run(EventQueue.java:731)
        at java.awt.EventQueue$4.run(EventQueue.java:729)
        at java.security.AccessController.doPrivileged(Native Method)
        at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:76)
        at java.awt.EventQueue.dispatchEvent(EventQueue.java:728)
        at org.gvsig.andami.ui.AndamiEventQueue.dispatchEvent(AndamiEventQueue.java:50)
        at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:201)
        at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:116)
        at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:105)
        at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:101)
        at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:93)
        at java.awt.EventDispatchThread.run(EventDispatchThread.java:82)

Associated revisions
Revision 42821 - 06/20/2016 01:49 PM - Daniel Martinez
refs #4226 Error al borrar geometrías: esto soluciona el problema, pero se sigue generando un concurrent modification error.

Revision 42834 - 06/23/2016 08:18 AM - Daniel Martinez

refs #4226 Se modifica la edición vectorial para que el borrado se realice sobre el featureSet en lugar del featureStore, y se modifica la
featureSeleccion para que los iteradores implementen sus propios métodos de borrado

Revision 875 - 06/23/2016 08:18 AM - Daniel Martinez

refs #4226 Se modifica la edición vectorial para que el borrado se realice sobre el featureSet en lugar del featureStore, y se modifica la
featureSeleccion para que los iteradores implementen sus propios métodos de borrado

History
#1 - 06/12/2016 12:03 PM - Joaquín  del Cerro Murciano
- Description updated

#2 - 06/16/2016 09:59 AM - Álvaro Anguix
- Assignee set to Daniel Martinez

#3 - 06/23/2016 08:25 AM - Daniel Martinez
- % Done changed from 0 to 100
- Status changed from New to Fixed
- Due date set to 06/23/2016

Se modifica la edición vectorial para que el borrado se realice sobre el featureSet en lugar del featureStore, y se modifica la featureSeleccion para que
los iteradores implementen sus propios métodos de borrado

#4 - 06/23/2016 08:53 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153) to 2.3.0-2432 (rev. org.gvsig.desktop-2.0.138)

#5 - 07/25/2016 10:45 AM - Álvaro Anguix
- Status changed from Fixed to Closed
